Package com.arthenica.ffmpegkit

## Class Statistics

- java.lang.Object
- - com.arthenica.ffmpegkit.Statistics

    public class Statistics
    extends java.lang.Object

Statistics entry for an FFmpeg execute session.

### Constructor Summary

Constructors
`Statistics​(long sessionId, int videoFrameNumber, float videoFps, float videoQuality, long size, int time, double bitrate, double speed)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getBitrate()`
`long` `getSessionId()`
`long` `getSize()`
`double` `getSpeed()`
`int` `getTime()`
`float` `getVideoFps()`
`int` `getVideoFrameNumber()`
`float` `getVideoQuality()`
`void` `setBitrate​(double bitrate)`
`void` `setSessionId​(long sessionId)`
`void` `setSize​(long size)`
`void` `setSpeed​(double speed)`
`void` `setTime​(int time)`
`void` `setVideoFps​(float videoFps)`
`void` `setVideoFrameNumber​(int videoFrameNumber)`
`void` `setVideoQuality​(float videoQuality)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Statistics

    public Statistics​(long sessionId,
                      int videoFrameNumber,
                      float videoFps,
                      float videoQuality,
                      long size,
                      int time,
                      double bitrate,
                      double speed)

### Method Detail

#### getSessionId

    public long getSessionId()

#### setSessionId

    public void setSessionId​(long sessionId)

#### getVideoFrameNumber

    public int getVideoFrameNumber()

#### setVideoFrameNumber

    public void setVideoFrameNumber​(int videoFrameNumber)

#### getVideoFps

    public float getVideoFps()

#### setVideoFps

    public void setVideoFps​(float videoFps)

#### getVideoQuality

    public float getVideoQuality()

#### setVideoQuality

    public void setVideoQuality​(float videoQuality)

#### getSize

    public long getSize()

#### setSize

    public void setSize​(long size)

#### getTime

    public int getTime()

#### setTime

    public void setTime​(int time)

#### getBitrate

    public double getBitrate()

#### setBitrate

    public void setBitrate​(double bitrate)

#### getSpeed

    public double getSpeed()

#### setSpeed

    public void setSpeed​(double speed)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`